// esta va a ser una dependencia que se encargue de utilizar las rutas como los archivos todos automaticamente;
// que al momento de ejecutarlo ya usaria esa gestion o function para lograr ese manejo de rutas automaticas
import { readdirSync } from "fs";

import { Router } from "express";

import { cleanFileName } from "./utils/cleanFile";

const kegRouteDynamic = ( path: string, router: Router ) => {

    readdirSync(path).filter(fileName => {

        const cleanName: string | undefined = cleanFileName(fileName); 

        if(cleanName !== 'index') {
            import(`./${cleanName}`).then(modelRouter => {
                router.use(`/${cleanName}`, modelRouter.router);
            })
        }

    });

}

export { kegRouteDynamic };